HALT(8)

NAME
halt, reboot, poweroff - stop the system.

SYNOPSIS
/sbin/halt [-n] [-w] [-d] [-f] [-i] [-p]
/sbin/reboot [-n] [-w] [-d] [-f] [-i]
/sbin/poweroff [-n] [-w] [-d] [-f] [-i]

DESCRIPTION
Halt notes that the system is being brought down in the file /var/log/wtmp, and then either tells the kernel to halt, reboot or poweroff the system. If halt or reboot is called when the system is not in runlevel 0 or 6, shutdown(8) will be invoked instead (with the flag -h or -r).

OPTIONS

-n  Don't sync before reboot or halt.

-w  Don't actually reboot or halt but only write the wtmp record (in the /var/log/wtmp file).

-d  Don't write the wtmp record. The -n flag implies -d.

-f  Force halt or reboot, don't call shutdown(8).

-i  Shut down all network interfaces just before halt or reboot.

-p  When halting the system, do a poweroff. This is the default when halt is called as poweroff.

DIAGNOSTICS
If you're not the superuser, you will get the message `must be superuser'.

NOTES
Under previous sysvinit releases, reboot and halt should never be called directly. From this release on halt and reboot invoke shutdown(8) if the system is not in runlevel 0 or 6.

AUTHOR
Miquel van Smoorenburg, miquels@cistron.nl

SEE ALSO
shutdown(8), init(1)